Partially update KYB form info
curl --request PATCH \
--url https://ivs.idenfy.com/kyb/forms/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientSystem": {
"ipAddress": "<string>",
"timeZone": "<string>"
}
}
'import requests
url = "https://ivs.idenfy.com/kyb/forms/{id}/"
payload = { "clientSystem": {
"ipAddress": "<string>",
"timeZone": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({clientSystem: {ipAddress: '<string>', timeZone: '<string>'}})
};
fetch('https://ivs.idenfy.com/kyb/forms/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://ivs.idenfy.com/kyb/forms/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"clientSystem\": {\n \"ipAddress\": \"<string>\",\n \"timeZone\": \"<string>\"\n }\n}")
.asString();
using RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/kyb/forms/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"clientSystem\": {\n \"ipAddress\": \"<string>\",\n \"timeZone\": \"<string>\"\n }\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/kyb/forms/{id}/"
payload := strings.NewReader("{\n \"clientSystem\": {\n \"ipAddress\": \"<string>\",\n \"timeZone\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"clientSystem\": {\n \"ipAddress\": \"<string>\",\n \"timeZone\": \"<string>\"\n }\n}")
val request = Request.Builder()
.url("https://ivs.idenfy.com/kyb/forms/{id}/")
.patch(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = ["clientSystem": [
"ipAddress": "<string>",
"timeZone": "<string>"
]] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://ivs.idenfy.com/kyb/forms/{id}/")!
var request = URLRequest(url: url)
request.httpMethod = "PATCH"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){
"company": {
"companyName": "<string>",
"registrationNumber": "<string>",
"region": "<string>",
"type": "<string>",
"phone": "<string>",
"website": "<string>",
"email": "jsmith@example.com",
"brandNames": [],
"activityCode": "<string>",
"tin": "<string>",
"operatingAddress": "<string>",
"postalAddress": "<string>",
"postcode": "<string>",
"street": "<string>",
"city": "<string>",
"additionalInfo": {}
},
"clientSystem": {
"ipAddress": "<string>",
"timeZone": "<string>"
}
}Partially update KYB form info
PATCH
/
kyb
/
forms
/
{id}
/
Partially update KYB form info
Authorizations
kybTokenAuthapiKeyPair
Authentication for actions with all operations associated with KYB form.
Token obtained from KYB form token generation endpoint as tokenString value.
Path Parameters
A unique value identifying this company.
Was this page helpful?
⌘I